# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2012 Juan Rial (<jrial@safehex.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields
from tools.translate import _

class ea_import_string_substitution(osv.osv):
    _name = 'ea_import.string.substitution'
    _description = 'String substitution'
    _order = 'sequence'
    
    _columns = {
        'line_id': fields.many2one('ea_import.template.line', 'Related template line', select=True),
        'sequence': fields.integer('Sequence', required=True, select=True),
        'name': fields.char('Original', 128),
        'replacement': fields.char('Replace with', 128, help='Leave empty to remove occurences of "original" in the input string.'),
    }

     
    _defaults = {
        'sequence': 1
    }

